Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfTextPropertiesElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
                                  org.odftoolkit.odfdom.dom.element.style.OdfTextPropertiesElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfTextProperties

    public abstract class OdfTextPropertiesElement

extends OdfStylePropertiesBase

DOM implementation of OpenDocument element style:text-properties.

See Also:
  Serialized Form

Field Summary
`static OdfStyleProperty` | `BackgroundColor`
`static OdfStyleProperty` | `Color`
`static OdfStyleProperty` | `Condition`
`static OdfStyleProperty` | `Country`
`static OdfStyleProperty` | `CountryAsian`
`static OdfStyleProperty` | `CountryComplex`
`static OdfStyleProperty` | `Display`
`static OdfName` | `ELEMENT_NAME`
`static OdfStyleProperty` | `FontCharset`
`static OdfStyleProperty` | `FontCharsetAsian`
`static OdfStyleProperty` | `FontCharsetComplex`
`static OdfStyleProperty` | `FontFamily`
`static OdfStyleProperty` | `FontFamilyAsian`
`static OdfStyleProperty` | `FontFamilyComplex`
`static OdfStyleProperty` | `FontFamilyGeneric`
`static OdfStyleProperty` | `FontFamilyGenericAsian`
`static OdfStyleProperty` | `FontFamilyGenericComplex`
`static OdfStyleProperty` | `FontName`
`static OdfStyleProperty` | `FontNameAsian`
`static OdfStyleProperty` | `FontNameComplex`
`static OdfStyleProperty` | `FontPitch`
`static OdfStyleProperty` | `FontPitchAsian`
`static OdfStyleProperty` | `FontPitchComplex`
`static OdfStyleProperty` | `FontRelief`
`static OdfStyleProperty` | `FontSize`
`static OdfStyleProperty` | `FontSizeAsian`
`static OdfStyleProperty` | `FontSizeComplex`
`static OdfStyleProperty` | `FontSizeRel`
`static OdfStyleProperty` | `FontSizeRelAsian`
`static OdfStyleProperty` | `FontSizeRelComplex`
`static OdfStyleProperty` | `FontStyle`
`static OdfStyleProperty` | `FontStyleAsian`
`static OdfStyleProperty` | `FontStyleComplex`
`static OdfStyleProperty` | `FontStyleName`
`static OdfStyleProperty` | `FontStyleNameAsian`
`static OdfStyleProperty` | `FontStyleNameComplex`
`static OdfStyleProperty` | `FontVariant`
`static OdfStyleProperty` | `FontWeight`
`static OdfStyleProperty` | `FontWeightAsian`
`static OdfStyleProperty` | `FontWeightComplex`
`static OdfStyleProperty` | `Hyphenate`
`static OdfStyleProperty` | `HyphenationPushCharCount`
`static OdfStyleProperty` | `HyphenationRemainCharCount`
`static OdfStyleProperty` | `Language`
`static OdfStyleProperty` | `LanguageAsian`
`static OdfStyleProperty` | `LanguageComplex`
`static OdfStyleProperty` | `LetterKerning`
`static OdfStyleProperty` | `LetterSpacing`
`static OdfStyleProperty` | `RfcLanguageTag`
`static OdfStyleProperty` | `RfcLanguageTagAsian`
`static OdfStyleProperty` | `RfcLanguageTagComplex`
`static OdfStyleProperty` | `Script`
`static OdfStyleProperty` | `ScriptAsian`
`static OdfStyleProperty` | `ScriptComplex`
`static OdfStyleProperty` | `ScriptType`
`static OdfStyleProperty` | `TextBlinking`
`static OdfStyleProperty` | `TextCombine`
`static OdfStyleProperty` | `TextCombineEndChar`
`static OdfStyleProperty` | `TextCombineStartChar`
`static OdfStyleProperty` | `TextEmphasize`
`static OdfStyleProperty` | `TextLineThroughColor`
`static OdfStyleProperty` | `TextLineThroughMode`
`static OdfStyleProperty` | `TextLineThroughStyle`
`static OdfStyleProperty` | `TextLineThroughText`
`static OdfStyleProperty` | `TextLineThroughTextStyle`
`static OdfStyleProperty` | `TextLineThroughType`
`static OdfStyleProperty` | `TextLineThroughWidth`
`static OdfStyleProperty` | `TextOutline`
`static OdfStyleProperty` | `TextOverlineColor`
`static OdfStyleProperty` | `TextOverlineMode`
`static OdfStyleProperty` | `TextOverlineStyle`
`static OdfStyleProperty` | `TextOverlineType`
`static OdfStyleProperty` | `TextOverlineWidth`
`static OdfStyleProperty` | `TextPosition`
`static OdfStyleProperty` | `TextRotationAngle`
`static OdfStyleProperty` | `TextRotationScale`
`static OdfStyleProperty` | `TextScale`
`static OdfStyleProperty` | `TextShadow`
`static OdfStyleProperty` | `TextTransform`
`static OdfStyleProperty` | `TextUnderlineColor`
`static OdfStyleProperty` | `TextUnderlineMode`
`static OdfStyleProperty` | `TextUnderlineStyle`
`static OdfStyleProperty` | `TextUnderlineType`
`static OdfStyleProperty` | `TextUnderlineWidth`
`static OdfStyleProperty` | `UseWindowFontColor`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfTextPropertiesElement(OdfFileDom aOwnerDoc)` Create the instance of OdfTextPropertiesElement

Method Summary
`OdfName` | `getOdfName()` Get the element name

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
`hashCode`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

### FontVariant

    public static final OdfStyleProperty FontVariant

### TextTransform

    public static final OdfStyleProperty TextTransform

### Color

    public static final OdfStyleProperty Color

### UseWindowFontColor

    public static final OdfStyleProperty UseWindowFontColor

### TextOutline

    public static final OdfStyleProperty TextOutline

### TextLineThroughType

    public static final OdfStyleProperty TextLineThroughType

### TextLineThroughStyle

    public static final OdfStyleProperty TextLineThroughStyle

### TextLineThroughWidth

    public static final OdfStyleProperty TextLineThroughWidth

### TextLineThroughColor

    public static final OdfStyleProperty TextLineThroughColor

### TextLineThroughText

    public static final OdfStyleProperty TextLineThroughText

### TextLineThroughTextStyle

    public static final OdfStyleProperty TextLineThroughTextStyle

### TextPosition

    public static final OdfStyleProperty TextPosition

### FontName

    public static final OdfStyleProperty FontName

### FontNameAsian

    public static final OdfStyleProperty FontNameAsian

### FontNameComplex

    public static final OdfStyleProperty FontNameComplex

### FontFamily

    public static final OdfStyleProperty FontFamily

### FontFamilyAsian

    public static final OdfStyleProperty FontFamilyAsian

### FontFamilyComplex

    public static final OdfStyleProperty FontFamilyComplex

### FontFamilyGeneric

    public static final OdfStyleProperty FontFamilyGeneric

### FontFamilyGenericAsian

    public static final OdfStyleProperty FontFamilyGenericAsian

### FontFamilyGenericComplex

    public static final OdfStyleProperty FontFamilyGenericComplex

### FontStyleName

    public static final OdfStyleProperty FontStyleName

### FontStyleNameAsian

    public static final OdfStyleProperty FontStyleNameAsian

### FontStyleNameComplex

    public static final OdfStyleProperty FontStyleNameComplex

### FontPitch

    public static final OdfStyleProperty FontPitch

### FontPitchAsian

    public static final OdfStyleProperty FontPitchAsian

### FontPitchComplex

    public static final OdfStyleProperty FontPitchComplex

### FontCharset

    public static final OdfStyleProperty FontCharset

### FontCharsetAsian

    public static final OdfStyleProperty FontCharsetAsian

### FontCharsetComplex

    public static final OdfStyleProperty FontCharsetComplex

### FontSize

    public static final OdfStyleProperty FontSize

### FontSizeAsian

    public static final OdfStyleProperty FontSizeAsian

### FontSizeComplex

    public static final OdfStyleProperty FontSizeComplex

### FontSizeRel

    public static final OdfStyleProperty FontSizeRel

### FontSizeRelAsian

    public static final OdfStyleProperty FontSizeRelAsian

### FontSizeRelComplex

    public static final OdfStyleProperty FontSizeRelComplex

### ScriptType

    public static final OdfStyleProperty ScriptType

### LetterSpacing

    public static final OdfStyleProperty LetterSpacing

### Language

    public static final OdfStyleProperty Language

### LanguageAsian

    public static final OdfStyleProperty LanguageAsian

### LanguageComplex

    public static final OdfStyleProperty LanguageComplex

### Country

    public static final OdfStyleProperty Country

### CountryAsian

    public static final OdfStyleProperty CountryAsian

### CountryComplex

    public static final OdfStyleProperty CountryComplex

### Script

    public static final OdfStyleProperty Script

### ScriptAsian

    public static final OdfStyleProperty ScriptAsian

### ScriptComplex

    public static final OdfStyleProperty ScriptComplex

### RfcLanguageTag

    public static final OdfStyleProperty RfcLanguageTag

### RfcLanguageTagAsian

    public static final OdfStyleProperty RfcLanguageTagAsian

### RfcLanguageTagComplex

    public static final OdfStyleProperty RfcLanguageTagComplex

### FontStyle

    public static final OdfStyleProperty FontStyle

### FontStyleAsian

    public static final OdfStyleProperty FontStyleAsian

### FontStyleComplex

    public static final OdfStyleProperty FontStyleComplex

### FontRelief

    public static final OdfStyleProperty FontRelief

### TextShadow

    public static final OdfStyleProperty TextShadow

### TextUnderlineType

    public static final OdfStyleProperty TextUnderlineType

### TextUnderlineStyle

    public static final OdfStyleProperty TextUnderlineStyle

### TextUnderlineWidth

    public static final OdfStyleProperty TextUnderlineWidth

### TextUnderlineColor

    public static final OdfStyleProperty TextUnderlineColor

### TextOverlineType

    public static final OdfStyleProperty TextOverlineType

### TextOverlineStyle

    public static final OdfStyleProperty TextOverlineStyle

### TextOverlineWidth

    public static final OdfStyleProperty TextOverlineWidth

### TextOverlineColor

    public static final OdfStyleProperty TextOverlineColor

### TextOverlineMode

    public static final OdfStyleProperty TextOverlineMode

### FontWeight

    public static final OdfStyleProperty FontWeight

### FontWeightAsian

    public static final OdfStyleProperty FontWeightAsian

### FontWeightComplex

    public static final OdfStyleProperty FontWeightComplex

### TextUnderlineMode

    public static final OdfStyleProperty TextUnderlineMode

### TextLineThroughMode

    public static final OdfStyleProperty TextLineThroughMode

### LetterKerning

    public static final OdfStyleProperty LetterKerning

### TextBlinking

    public static final OdfStyleProperty TextBlinking

### BackgroundColor

    public static final OdfStyleProperty BackgroundColor

### TextCombine

    public static final OdfStyleProperty TextCombine

### TextCombineStartChar

    public static final OdfStyleProperty TextCombineStartChar

### TextCombineEndChar

    public static final OdfStyleProperty TextCombineEndChar

### TextEmphasize

    public static final OdfStyleProperty TextEmphasize

### TextScale

    public static final OdfStyleProperty TextScale

### TextRotationAngle

    public static final OdfStyleProperty TextRotationAngle

### TextRotationScale

    public static final OdfStyleProperty TextRotationScale

### Hyphenate

    public static final OdfStyleProperty Hyphenate

### HyphenationRemainCharCount

    public static final OdfStyleProperty HyphenationRemainCharCount

### HyphenationPushCharCount

    public static final OdfStyleProperty HyphenationPushCharCount

### Display

    public static final OdfStyleProperty Display

### Condition

    public static final OdfStyleProperty Condition

Constructor Detail

### OdfTextPropertiesElement

    public OdfTextPropertiesElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfTextPropertiesElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:text-properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.